curl --request POST \
--url https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/transactions \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"params": {
"transaction": "<string>",
"requiredSigners": [
"passkey:cWtP7gmZbd98HbKUuGXx5Q"
]
}
}
'import requests
url = "https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/transactions"
payload = { "params": {
"transaction": "<string>",
"requiredSigners": ["passkey:cWtP7gmZbd98HbKUuGXx5Q"]
} }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
params: {transaction: '<string>', requiredSigners: ['passkey:cWtP7gmZbd98HbKUuGXx5Q']}
})
};
fetch('https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'params' => [
'transaction' => '<string>',
'requiredSigners' => [
'passkey:cWtP7gmZbd98HbKUuGXx5Q'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/transactions"
payload := strings.NewReader("{\n \"params\": {\n \"transaction\": \"<string>\",\n \"requiredSigners\": [\n \"passkey:cWtP7gmZbd98HbKUuGXx5Q\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/transactions")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"params\": {\n \"transaction\": \"<string>\",\n \"requiredSigners\": [\n \"passkey:cWtP7gmZbd98HbKUuGXx5Q\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"params\": {\n \"transaction\": \"<string>\",\n \"requiredSigners\": [\n \"passkey:cWtP7gmZbd98HbKUuGXx5Q\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"chainType": "aptos",
"createdAt": 123,
"id": "<string>",
"onChain": {
"call": {
"data": "<unknown>",
"to": "<string>"
},
"explorerLink": "<string>",
"txId": "<string>"
},
"params": {
"call": {
"abi": [
"<unknown>"
],
"address": "<string>",
"args": [
"<unknown>"
],
"functionName": "<string>"
},
"chain": "abstract"
},
"status": "awaiting-approval",
"walletType": "mpc",
"approvals": {
"pending": [
{
"quorumApprovals": {
"pending": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>"
}
],
"remaining": 123,
"submitted": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>",
"signature": "<string>",
"submittedAt": 123
}
],
"threshold": 123
},
"signer": {
"locator": "<string>",
"type": "quorum"
}
}
],
"submitted": [
{
"quorumApprovals": {
"pending": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>"
}
],
"remaining": 123,
"submitted": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>",
"signature": "<string>",
"submittedAt": 123
}
],
"threshold": 123
},
"signer": {
"locator": "<string>",
"type": "quorum"
}
}
],
"required": 123
},
"completedAt": 123,
"error": {
"message": "<string>",
"reason": "program_error",
"logs": "<unknown>",
"revertData": {}
},
"fees": {
"mode": "project",
"actual": "<unknown>",
"billed": {
"usd": 123
},
"billing": {
"status": "failed"
},
"estimate": "<unknown>"
},
"sendParams": {
"params": {
"recipient": "<string>",
"recipientAddress": "<string>",
"amount": "<string>"
},
"token": "<string>"
}
}{
"error": true,
"message": "<error message>",
"code": "DEVICE_SIGNER_NOT_SUPPORTED"
}{
"error": true,
"message": "<error message>",
"code": "DEVICE_SIGNER_NOT_SUPPORTED"
}{
"error": {
"message": "<string>",
"reason": "program_error",
"logs": "<unknown>",
"revertData": {}
},
"message": "<string>"
}Create Transaction
Creates a new transaction for the specified wallet. Transaction will be automatically broadcast once it has all necessary approvals.
API scope required: wallets:transactions.create
curl --request POST \
--url https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/transactions \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"params": {
"transaction": "<string>",
"requiredSigners": [
"passkey:cWtP7gmZbd98HbKUuGXx5Q"
]
}
}
'import requests
url = "https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/transactions"
payload = { "params": {
"transaction": "<string>",
"requiredSigners": ["passkey:cWtP7gmZbd98HbKUuGXx5Q"]
} }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
params: {transaction: '<string>', requiredSigners: ['passkey:cWtP7gmZbd98HbKUuGXx5Q']}
})
};
fetch('https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'params' => [
'transaction' => '<string>',
'requiredSigners' => [
'passkey:cWtP7gmZbd98HbKUuGXx5Q'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/transactions"
payload := strings.NewReader("{\n \"params\": {\n \"transaction\": \"<string>\",\n \"requiredSigners\": [\n \"passkey:cWtP7gmZbd98HbKUuGXx5Q\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/transactions")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"params\": {\n \"transaction\": \"<string>\",\n \"requiredSigners\": [\n \"passkey:cWtP7gmZbd98HbKUuGXx5Q\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"params\": {\n \"transaction\": \"<string>\",\n \"requiredSigners\": [\n \"passkey:cWtP7gmZbd98HbKUuGXx5Q\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"chainType": "aptos",
"createdAt": 123,
"id": "<string>",
"onChain": {
"call": {
"data": "<unknown>",
"to": "<string>"
},
"explorerLink": "<string>",
"txId": "<string>"
},
"params": {
"call": {
"abi": [
"<unknown>"
],
"address": "<string>",
"args": [
"<unknown>"
],
"functionName": "<string>"
},
"chain": "abstract"
},
"status": "awaiting-approval",
"walletType": "mpc",
"approvals": {
"pending": [
{
"quorumApprovals": {
"pending": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>"
}
],
"remaining": 123,
"submitted": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>",
"signature": "<string>",
"submittedAt": 123
}
],
"threshold": 123
},
"signer": {
"locator": "<string>",
"type": "quorum"
}
}
],
"submitted": [
{
"quorumApprovals": {
"pending": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>"
}
],
"remaining": 123,
"submitted": [
{
"member": {
"address": "<string>",
"locator": "<string>",
"type": "api-key"
},
"message": "<string>",
"signature": "<string>",
"submittedAt": 123
}
],
"threshold": 123
},
"signer": {
"locator": "<string>",
"type": "quorum"
}
}
],
"required": 123
},
"completedAt": 123,
"error": {
"message": "<string>",
"reason": "program_error",
"logs": "<unknown>",
"revertData": {}
},
"fees": {
"mode": "project",
"actual": "<unknown>",
"billed": {
"usd": 123
},
"billing": {
"status": "failed"
},
"estimate": "<unknown>"
},
"sendParams": {
"params": {
"recipient": "<string>",
"recipientAddress": "<string>",
"amount": "<string>"
},
"token": "<string>"
}
}{
"error": true,
"message": "<error message>",
"code": "DEVICE_SIGNER_NOT_SUPPORTED"
}{
"error": true,
"message": "<error message>",
"code": "DEVICE_SIGNER_NOT_SUPPORTED"
}{
"error": {
"message": "<string>",
"reason": "program_error",
"logs": "<unknown>",
"revertData": {}
},
"message": "<string>"
}Authorizations
API key required for authentication
Headers
Unique string, such as a UUID, that identifies this request. It is not the transaction ID. To retry the request, send it again with the same key. If a transaction already exists for this key in the project, the API returns that transaction in its current status and ignores the new request body. Keys do not expire and are not returned in responses. See Transfer Tokens for details.
Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<chainType>[:<walletType>][:alias:<alias>](walletType defaults to 'smart')userId:<userId>:<chainType>[:<walletType>][:alias:<alias>](white label user example)phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]x:<handle>:<chainType>[:<walletType>][:alias:<alias>]me:<chainType>[:<walletType>][:alias:<alias>](Use when calling from the client side with a client API key)chainType[:<walletType>]:alias:<alias>
Body
- Solana MPC Wallet
- Solana Smart Wallet
- Stellar Smart Wallet
- EVM MPC Wallet
- EVM Smart Wallet
Input schema for creating a new transaction. The parameters vary based on the wallet type (EVM vs Solana vs Stellar).
Response
The transaction has been successfully created.
- EVM MPC Wallet
- EVM Smart Wallet
- Stellar Smart Wallet
- Solana Smart Wallet
- Solana MPC Wallet
Complete transaction response including status, signing requirements, and wallet type specific data
The blockchain type of the wallet
aptos, evm, solana, stellar, sui ISO timestamp when the transaction was created
Unique identifier for the transaction
Transaction data specific to EVM MPC wallets
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Current status of the transaction
awaiting-approval, failed, pending, success The wallet type (smart or mpc)
mpc, smart Complete approval data including requirements, pending and submitted signatures
Show child attributes
Show child attributes
ISO timestamp when the transaction reached finality
Error message if the transaction fails after submission
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Transaction fee information including actual transaction fees, billed amounts, and billing status
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

